commit:     a30d28eced708566a50883ca239517966f47332c
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  5 19:43:21 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Feb  5 19:45:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a30d28ec

dev-python/testpath: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/testpath/Manifest            |  1 +
 dev-python/testpath/testpath-0.3.ebuild | 55 +++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/testpath/Manifest b/dev-python/testpath/Manifest
index 665ec38..8e4016b 100644
--- a/dev-python/testpath/Manifest
+++ b/dev-python/testpath/Manifest
@@ -1 +1,2 @@
 DIST testpath-0.2.tar.gz 13732 SHA256 
a5388cc7c8370b1f11298c1d513b3d2b9e2f390607a7c39963e6e3ba9f1b7012 SHA512 
cc211bdc8f31ff4c286324e37bbce7fd84e19447d9735f396ce67f7568dd1d133be732c1fd7a08928c94566279d0f293a0caeed6a58ae6cd3dc293035fe164ea
 WHIRLPOOL 
6b87b1c5ba590e6b19968e823dee22d7bbe0411124c1290593eb5efd78b5af06c51853d3359f339c4ca60b2842c409a1fcd0ff45c59f2e7e07f557534d78fcaa
+DIST testpath-0.3.tar.gz 91250 SHA256 
01cc3cd59a59d42b238252774b9ebfc9d2af1d0d9bac81d7801409f570b1cda5 SHA512 
71a3266e17616c4df4a4c465151e9d48b89f573e4562132e85982b62446396884a270a32b5d4956aac1f0be1a00096cab9d0dc1718ae8b6312b0436eca683bdf
 WHIRLPOOL 
cc44d374625ff39d3ac579fc19eb6ae20b4d7e91cdf614784c1fc46a9324c7f140ea2f807c106a0e8ac31138de854671c59ec365da7fd9985bb4fbdd3a3a6c94

diff --git a/dev-python/testpath/testpath-0.3.ebuild 
b/dev-python/testpath/testpath-0.3.ebuild
new file mode 100644
index 0000000..7f72f45
--- /dev/null
+++ b/dev-python/testpath/testpath-0.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Test utilities for code working with files and commands"
+HOMEPAGE="http://jupyter.org";
+SRC_URI="https://github.com/jupyter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               virtual/python-pathlib[${PYTHON_USEDEP}]
+       )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       "
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.2-setup.py.patch
+       )
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       if use doc; then
+               sed -e "/^    'sphinx.ext.intersphinx',/d" -i doc/conf.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( doc/_build/html/. )
+       distutils-r1_python_install_all
+       }
+
+python_test() {
+       distutils_install_for_testing
+       cd "${TEST_DIR}"/lib || die
+       cp -r "${S}"/tests "${TEST_DIR}"/lib/ || die
+       py.test || die
+}

Reply via email to